[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#973694: RFS: shotcut/20.10.31+ds-1 -- video editor



On 27.11.2020 14:45, Adam Borowski wrote:
On Tue, Nov 03, 2020 at 12:33:10PM +0100, Gürkan Myczko wrote:
 * Package name    : shotcut
   Version         : 20.10.31+ds-1

 shotcut (20.10.31+ds-1) unstable; urgency=medium
 .
   * New upstream version.
   * d/patches: dropped.
   * d/s/lintian-overrides: drop curses, fix typo.
   * d/control:
     - drop duplicate Depends.
     - split parts to arch-indep package.
   * d/copyright: drop a no more matching entry.
   * d/manpages and shotcut.1: dropped, switch to upstream version.

Alas, it fails to upgrade:

Selecting previously unselected package shotcut-data.
(Reading database ... 206334 files and directories currently installed.)
Preparing to unpack shotcut-data_20.10.31+ds-1_all.deb ...
Unpacking shotcut-data (20.10.31+ds-1) ...
dpkg: error processing archive shotcut-data_20.10.31+ds-1_all.deb (--install):
 trying to overwrite
'/usr/share/shotcut/qml/export-edl/export-edl.js', which is also in
package shotcut 20.09.27+ds-1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
 shotcut-data_20.10.31+ds-1_all.deb

Needs Breaks: and Replaces: stanzas.

Of course, you're right, this is, I think, fixed with
https://mentors.debian.net/package/shotcut/ 20.11.28+ds-1
https://mentors.debian.net/debian/pool/main/s/shotcut/shotcut_20.11.28+ds-1.dsc

Best,


Meow!


Reply to: